Katello - Bug #7064

Katello installer segfaults on Ruby 1.8.7
08/13/2014 09:39 AM - Justin Sherrill

Status: Closed
Priority: Urgent
Assignee: Martin Bacovsky
Category: Installer
Target version: Katello 2.3.0
Difficulty: hard Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/Katello/katello-installer
/pull/182,
https://github.com/Katello/katello-installer
/pull/301
Description
See:

https://github.com/Katello/puppet-capsule/pull/13

some constructs such as:

class { 'foreman_proxy::plugin::pulp": }

cause ruby 1.8.7 to segfault on the installer. This keeps up from being able to fully use some of the features of the foreman and

foreman smart_proxy modules

Related issues:
Related to Installer - Bug #4244: Core dump during foreman-installer
Related to Katello - Tracker #9514: Installer on 1.9.3/SCL

Rejected 02/04/2014
Rejected

Associated revisions

Revision 68819b4c - 02/23/2015 10:32 AM - Stephen Benjamin

refs #8175, #7064 - isolate consumer actions, and use foreman_proxy fork

This commit pulls in the changes needed to isolate consumer actions, as
well as pinning theforeman-foreman_proxy to our fork, which will avoid
pulling in a new puppetlabs-apache. This avoids #7064, the case where
the installer segfaults due to poor garbage collection in 1.8.7.

Revision 000ca2d2 - 02/26/2015 05:10 AM - Stephen Benjamin

Merge pull request #182 from stbenjam/8175-final

refs #8175, #7064 - isolate consumer actions, and use foreman_proxy fork
Revision d8081a28 - 04/09/2015 12:11 PM - Eric Helms

Fixes #10096, #7064: Add use of '--profile' and update modules.

Updates the Foreman modules to 3.X and also Apache module that

previously led to segfaulting on EL6. This segfaulting is alleviated
by using Puppet's --profile option.

Revision 678e8fc5 - 02/24/2016 07:42 AM - Martin Bacovsky
Refs #7064 - run puppet with --profile on Ruby 1.8.7

Revision 6ac2ff79 - 02/24/2016 08:26 AM - Eric D Helms
Merge pull request #301 from mbacovsky/puppet_profile_hook
https://github.com/Katello/puppet-capsule/pull/13

Refs #7064 - run puppet with --profile on Ruby 1.8.7

History

#1 - 01/19/2015 09:08 AM - Stephen Benjamin

- Subject changed from Can't use puppet constructs for installing some plugins due to segfault to Katello installer segfaults on Ruby 1.8.7
#2 - 01/19/2015 09:09 AM - Stephen Benjamin

This is also happening reliably when updating from puppetlabs-apache 1.1.1 to > 1.2.

I think the only solution is going to be to move the installer to SCL ruby, as Foreman now requires puppetlabs-apache > 1.2.

#3 - 01/19/2015 09:10 AM - Stephen Benjamin

Of course, that is unless we can narrow down exactly what addition to puppetlabs-apache is causing this, but | have a feeling we're going to keep
running off the 1.8.7 GC cliff as the katello-installer puppet catalogues get more complex.

#4 - 01/19/2015 09:10 AM - Stephen Benjamin
- Related to Bug #4244: Core dump during foreman-installer added

#5 - 02/23/2015 10:07 AM - Stephen Benjamin
- Priority changed from Normal to Urgent

- Difficulty changed from medium to hard

I've forked https://github.com/Katello/puppet-foreman_proxy to avoid requiring a new foreman-puppet, which requires a new pl-apache than 1.1.1.

#6 - 02/23/2015 10:23 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Target version set to 67

- Pull request https://github.com/Katello/katello-installer/pull/182 added
- Pull request deleted ()

#7 - 02/23/2015 10:31 AM - Eric Helms
- Related to Tracker #9514: Installer on 1.9.3/SCL added

#8 - 03/16/2015 07:26 AM - Eric Helms

- Target version changed from 67 to 68

#9 - 04/08/2015 10:55 AM - Eric Helms
- Target version deleted (68)

#10 - 04/09/2015 04:02 PM - Eric Helms
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset katello-installer|d8081a28d3b23f7a6156993113d4b0bbefb90edb.

#11 - 05/22/2015 09:02 PM - Eric Helms

- translation missing: en.field_release set to 31

#12 - 02/24/2016 07:44 AM - The Foreman Bot
- Assignee set to Martin Bacovsky

- Pull request https://github.com/Katello/katello-installer/pull/301 added
